## org.eclipse.datatools.sqltools.core.dbitem
Interface IItemWithCode

public interface IItemWithCode

Represents a database object in the form of source code.

Author:
  Yang Liu

Method Summary
`java.lang.String` `getCode()` Gets the underlying code representing this object.
`int` `getValidBreakpointLocation(int number)` Given the line number, finds out the valid line number that is greater than number that can set breakpoint.
`void` `save(java.lang.String code)` Uses the specified code to recreate the undeying database object.

Method Detail

### getCode

    public java.lang.String getCode()
                             throws java.sql.SQLException

  Gets the underlying code representing this object.

  Returns:
  Throws:
    `java.sql.SQLException`

### save

    public void save(java.lang.String code)
              throws java.sql.SQLException

  Uses the specified code to recreate the undeying database object. Normally when success, this item will also refresh itself.

  Parameters:
    `code` -
  Throws:
    `java.sql.SQLException`

### getValidBreakpointLocation

    public int getValidBreakpointLocation(int number)
                                   throws java.sql.SQLException

  Given the line number, finds out the valid line number that is greater than number that can set breakpoint. If for some reason, this operation is not supported, the original number will be returned.

  Parameters:
    `number` -
  Returns:
    -1 is this line and following line are all invalid.
  Throws:
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.